MWAWContentListenerInternal::DocumentState Struct Reference

a class to store the document state of a MWAWContentListener More...

## Public Member Functions

| DocumentState (std::vector< MWAWPageSpan > const &pageList)
| constructor More...
| ~DocumentState ()
| destructor More...

## Public Attributes

std::vector< MWAWPageSpan > | m_pageList
| the pages definition More...
WPXPropertyList | m_metaData
| the document meta data More...
int | m_footNoteNumber
| footnote number More...
int | m_endNoteNumber
| endnote number More...
int | m_smallPictureNumber
| number of small picture More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started More...
std::vector< MWAWSubDocumentPtr > | m_subDocuments

## Private Member Functions

| DocumentState (const DocumentState &)
| list of document actually open More...
DocumentState & | operator= (const DocumentState &)

## Detailed Description

a class to store the document state of a MWAWContentListener

## Constructor & Destructor Documentation

MWAWContentListenerInternal::DocumentState::DocumentState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |

inline

constructor

MWAWContentListenerInternal::DocumentState::~DocumentState | ( |  | ) |

inline

destructor

MWAWContentListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |

private

list of document actually open

## Member Function Documentation

DocumentState& MWAWContentListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |

private

## Member Data Documentation

int MWAWContentListenerInternal::DocumentState::m_endNoteNumber

endnote number

int MWAWContentListenerInternal::DocumentState::m_footNoteNumber

footnote number

bool MWAWContentListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

bool MWAWContentListenerInternal::DocumentState::m_isHeaderFooterStarted

a flag to know if the header footer is started

WPXPropertyList MWAWContentListenerInternal::DocumentState::m_metaData

the document meta data

std::vector<MWAWPageSpan> MWAWContentListenerInternal::DocumentState::m_pageList

the pages definition

int MWAWContentListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

std::vector<MWAWSubDocumentPtr> MWAWContentListenerInternal::DocumentState::m_subDocuments

The documentation for this struct was generated from the following file:

- MWAWContentListener.cxx